'use strict';

var KindaObject = require('kinda-object');
var notifier = require('node-notifier');

var NodeNotifierTarget = KindaObject.extend('NodeNotifierTarget', function () {
  this.send = function callee$1$0(sender, title, message) {
    var options;
    return regeneratorRuntime.async(function callee$1$0$(context$2$0) {
      while (1) switch (context$2$0.prev = context$2$0.next) {
        case 0:
          message += ' (' + sender + ')';
          options = { message: message };

          if (title) options.title = title;
          notifier.notify(options);

        case 4:
        case 'end':
          return context$2$0.stop();
      }
    }, null, this);
  };
});

module.exports = NodeNotifierTarget;